package com.miraclegarden.smsmessage;

/**
 * **********************
 *
 * @Author bug machine
 * 创建时间： 2026/3/20 15:30
 * 用途
 * **********************
 */

public class MessageInfo {
    private String appName;     // 应用名
    private String packageName; // 包名
    private String name;
    private String code;
    private String remark;
    private String bankInfoId;  // 关联的银行账户ID

    public MessageInfo() {
    }

    public MessageInfo(String appName, String packageName, String name, String code, String remark) {
        this.appName = appName;
        this.packageName = packageName;
        this.name = name;
        this.code = code;
        this.remark = remark;
    }

    public static MessageInfo AppInfoToMessageInfo(AppInfo appInfo) {
        MessageInfo messageInfo = new MessageInfo();
        messageInfo.appName = appInfo.getAppName();
        messageInfo.packageName = appInfo.getPackageName();
        messageInfo.name = appInfo.getName();
        messageInfo.code = appInfo.getCode();
        messageInfo.remark = appInfo.getRemark();
        messageInfo.bankInfoId = appInfo.getBankInfoId();
        return messageInfo;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBankInfoId() {
        return bankInfoId;
    }

    public void setBankInfoId(String bankInfoId) {
        this.bankInfoId = bankInfoId;
    }
}
